Bug 646543

Summary: OpenJDK RHEL5/6 backport patch to limit executable memory access for CodeCache only
Product: [Other] Security Response Reporter: Marc Schoenefeld <mschoene>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: low    
Version: unspecifiedCC: ahughes, aph, dbhole, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: java-1.6.0-openjdk-1.6.0.0-1.39.1.9.7.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-06-10 22:24:52 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Marc Schoenefeld 2010-10-25 16:19:57 UTC
From: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6541756

"Description 	

A customer pointed out a concern that our VM was mapping our C-heap allocation
as all read-write-execute. We do require "executable" access for our
CodeCache, but should not require it for the rest of the C-heap.
Posted Date : 2007-04-02 21:02:10.0

Work Around 	

N/A

Evaluation 	

Fix in progress.  Set execute bit on only the code cache.
Posted Date : 2009-03-23 18:04:11.0

http://hg.openjdk.java.net/jdk7/hotspot-rt/hotspot/rev/6bdd6923ba16
Posted Date : 2009-03-26 14:20:57.0"

The request is to backport this patch to be usable in RHEL5/6 OpenJDK as 
defense-in-depth measure.